[POST] Invite Users⚓︎
Use this request to invite one or more users to the current tenant by assigning them a role.
Invite Users⚓︎
POST/api/v1.0/external/tenant/inviteusers
Body application/json InviteUsersRequest⚓︎
| Name | Type | Description |
|---|---|---|
users | array of ExternalUserModel | List of users to be invited to the current tenant. Each entry must contain a valid email and role name. Duplicate emails are not allowed. |
Body application/json ExternalUserModel⚓︎
| Name | Type | Description |
|---|---|---|
email | string | The user's email address. Must be unique and properly formatted. |
roleName | string | The name of the role to assign. Must match one of the available roles from the /availableroles endpoint. |
Example Request⚓︎
curl -X 'POST' \
'https://cloud.smartdocumentor.net/api/v1.0/external/tenant/inviteusers' \
--header 'Authorization: Bearer {your access token here}' \
--header 'accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"users": [
{
"email": "[email protected]",
"roleName": "Administrator"
}
]
}'
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://cloud.smartdocumentor.net/api/v1.0/external/tenant/inviteusers");
request.Headers.Add("Authorization", "Bearer {your access token here}");
request.Headers.Add("Accept", "application/json");
var content = new StringContent("{\r\n \"users\": [\r\n {\r\n \"email\": \"[email protected]\",\r\n \"roleName\": \"Administrator\"\r\n }\r\n ]\r\n}", null, "application/json");
request.Content = content;
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
import requests
import json
url = "https://cloud.smartdocumentor.net/api/v1.0/external/tenant/inviteusers"
payload = json.dumps({
"users": [
{
"email": "[email protected]",
"roleName": "Administrator"
}
]
})
headers = {
'Authorization': 'Bearer {your access token here}',
'Content-Type': 'application/json',
'Accept': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
var myHeaders = new Headers();
myHeaders.append("Authorization", "Bearer {your access token here}");
myHeaders.append("Content-Type", "application/json");
myHeaders.append("Accept", "application/json");
var raw = JSON.stringify({
"users": [
{
"email": "[email protected]",
"roleName": "Some Name"
}
]
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw
};
fetch("https://cloud.smartdocumentor.net/api/v1.0/external/tenant/inviteusers", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));
Responses⚓︎
Response Body Empty⚓︎
Indicates that the operation was successful and a invitation email will be sent to the invited user(s).
{
"title": "Bad Request",
"status": 400,
"detail": "The email address 'string' is not valid."
}
Response Body Problem Detail JSON Object⚓︎
{
"title": "Internal Server Error",
"status": 500,
"detail": "A server error occurred while processing your request. Please try again later. Trace ID:"
}